Bug 179682 - ALSA broken in 2.6.9-22
ALSA broken in 2.6.9-22
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: 179683 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-02-01 19:40 EST by Joshua Weage
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-03 12:15:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Weage 2006-02-01 19:40:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:

Hardware is an MAudio Revolution 7.1 using the ice1724 driver.

aplay produces errors unless I boot with the acpi=off kernel option.  However, even with this option I get no sound output.  I've checked the mixer and changed the volume still nothing.  There are similar bugs like this logged against FC.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Pete Zaitcev 2006-02-01 21:06:51 EST
*** Bug 179683 has been marked as a duplicate of this bug. ***
Comment 2 John W. Linville 2006-02-02 16:37:40 EST
Have you updated to the most recent available BIOS version available for your 
motherboard?  If not, please do so and post the results of using sound after 
the upgrade.  Thanks! 
Comment 3 Joshua Weage 2006-02-02 17:16:13 EST
This is a relatively old system.  The last BIOS update was in 2001.

The solution was (relatively) simple.  The sound card was sharing an IRQ with my
ethernet card.  I swapped PCI slots and re-enabled ACPI and sound now works as
it should.

It doesn't seem like a shared IRQ should completely prevent playing audio, so I
don't know if this is a bug or a limitation of ALSA.

Comment 4 John W. Linville 2006-02-03 12:15:33 EST
ACPI support in machines of that vintage is notoriously buggy.  If your system 
works now (or with ACPI disabled), that is probably the best we can do. 
I'm glad you got it working! 

Note You need to log in before you can comment on or make changes to this bug.